Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 243438 - subversion-1.5.X segfaults when using https
Summary: subversion-1.5.X segfaults when using https
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Arfrever Frehtes Taifersar Arahesis (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-23 17:48 UTC by Jan Kohnert
Modified: 2009-04-21 22:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Kohnert 2008-10-23 17:48:15 UTC
On one of my machines subversion-1.5.X constantly crashes:
svn info https://example.com/repos
only gives SIG11

I tried to produce a backtrace, so I added debug to USE and nostrip to features and rebuild svn, apr, neon and zlib. Here is the backtrace, but I assume, it is still kind of useless:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb79f0700 (LWP 31647)]
0xb770b7f4 in deflate_slow () from /lib/libz.so
(gdb) bt
#0  0xb770b7f4 in deflate_slow () from /lib/libz.so
#1  0xb770bfc1 in deflate () from /lib/libz.so
#2  0xb7c5d4dd in ?? () from /usr/lib/libcrypto.so.0.9.8
#3  0x080aec90 in ?? ()
#4  0x00000002 in ?? ()
#5  0xb7ca3000 in ?? ()
#6  0xb7ce5ff4 in ?? () from /usr/lib/libssl.so.0.9.8
#7  0x080aef88 in ?? ()
#8  0x00000010 in ?? ()
#9  0x080a6d7d in ?? ()
#10 0xb7c5c482 in COMP_compress_block () from /usr/lib/libcrypto.so.0.9.8
#11 0x080aef88 in ?? ()
#12 0x080a6d7d in ?? ()
#13 0x00004400 in ?? ()
#14 0x08099008 in ?? ()
#15 0x00000010 in ?? ()
#16 0x08098c6c in ?? ()
#17 0x08098980 in ?? ()
#18 0xb7cc1bb9 in ssl3_do_compress () from /usr/lib/libssl.so.0.9.8
#19 0x00004400 in ?? ()
#20 0x08099008 in ?? ()
#21 0x00000010 in ?? ()
#22 0xb7ce5ff4 in ?? () from /usr/lib/libssl.so.0.9.8
---Type <return> to continue, or q <return> to quit---
#23 0x08098c6c in ?? ()
#24 0xb7cc1cf4 in ?? () from /usr/lib/libssl.so.0.9.8
#25 0x08098980 in ?? ()
#26 0x00000033 in ?? ()
#27 0xbfb1e83c in ?? ()
#28 0x0000000c in ?? ()
#29 0x080aebc8 in ?? ()
#30 0x08099008 in ?? ()
#31 0x00000016 in ?? ()
#32 0x00000014 in ?? ()
#33 0x08098c38 in ?? ()
#34 0x00000000 in ?? ()
(gdb)

This happens on the machine where the webserver also is installed. I can use svn info file:///path/to/repos and I can also access the repos through webdav and via my other machinnes. Also, at least for 1.5.1 it worked to link svn against neon-0.26.X instead of neon-0.28, I did not test that for 1.5.2. (this is interesting, as the backtrace blames zlib and zlib does not use neon at all)

So at the end I'm kind of stuck, and I don't know what to test more and why it is only failing on one single machine.

Oh, I should mention: I have the deflate filter in my apache config, but it doesn't help to switch that off.

Reproducible: Always

Steps to Reproduce:
1.upgrade svn
2.try to use it. ;)

Actual Results:  
crash

Expected Results:  
a working version

Here's the emerge --info:
Portage 2.1.4.5 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo-r4 i686)
=================================================================
System uname: 2.6.24-gentoo-r4 i686 Pentium III (Katmai)
Timestamp of tree: Tue, 21 Oct 2008 16:37:07 +0000
app-shells/bash:     3.2_p33
dev-lang/python:     2.5.2-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -mtune=pentium3 -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O3 -mtune=pentium3 -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp.easynetnl/mirror/gentoo/ http://ftp.easynet.nl/mirror/gentoo/"
LANG="de_DE.UTF8"
LDFLAGS="-Wl,-O1"
LINGUAS="de en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl acpi apache2 bash-completion berkdb bzip2 clamav cli cracklib crypt ctype cups curl dba doc dovecot-sasl dri expat foomaticdb fpx gd gdbm gif gmp gpm graphviz iconv idn imap ipv6 isdnlog jbig jpeg lcms ldap managesieve mbox mhash midi mmx mpeg mudflap ncurses nls nptl nptlonly offensive openmp pam pcre perl perlsuid png pop3d postfix postgres ppds pppd python readline reflection sasl session sieve slang snmp spamassassin spell spl sse ssl sysfs tcpd tetex threads tiff truetype ucs2 unicode urandom usb vhosts wmf x86 xinetd xml xml2 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Thomas Sachau gentoo-dev 2008-10-23 18:00:55 UTC
The output of emerge -pv subversion please.
Comment 2 Gilles Dartiguelongue gentoo-dev 2008-10-23 19:39:55 UTC
which gnutls version btw ? There was a release that caused this problem but it was fixed 1 or 2 months ago. 
Comment 3 Jan Kohnert 2008-10-23 22:05:17 UTC
Here's the output from emerge:
emerge -pv subversion

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-util/subversion-1.5.2  USE="apache2 bash-completion berkdb doc dso nls perl python sasl webdav-neon -debug -emacs -extras -java -ruby -vim-syntax -webdav-serf" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

GnuTLS is not installed.

Regards Jan
Comment 4 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2008-10-25 17:51:22 UTC
(In reply to comment #0)
> I tried to produce a backtrace, so I added debug to USE and nostrip to
> features and rebuild svn, apr, neon and zlib.

You can also rebuild dev-libs/openssl.
Comment 5 Jan Kohnert 2008-10-26 03:21:05 UTC
(In reply to comment #4)
> You can also rebuild dev-libs/openssl.

Thanks, I did not think about that one.

I now rebuild the stuff including openssl, using -g in CFLAGS and nostrip. Here's the result from gdb:


Starting program: /usr/bin/svn info https://example.com/repos
[Thread debugging using libthread_db enabled]
[New Thread 0xb7986700 (LWP 27691)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb7986700 (LWP 27691)]
0xb76a27f4 in deflate_slow (s=0x80d7038, flush=2) at deflate.c:1580
1580    deflate.c: No such file or directory.
        in deflate.c
(gdb) bt
#0  0xb76a27f4 in deflate_slow (s=0x80d7038, flush=2) at deflate.c:1580
#1  0xb76a2fc1 in deflate (strm=0x80cbf88, flush=2) at deflate.c:790
#2  0xb7bf0a1e in zlib_stateful_compress_block (ctx=0x80cc280,
    out=0x80c4075 "\b\t", olen=17408, in=0x80b6300 "\024", ilen=16)
    at c_zlib.c:210
#3  0xb7bef9be in COMP_compress_block (ctx=0x80cc280, out=0x80c4075 "\b\t",
    olen=17408, in=0x80b6300 "\024", ilen=16) at comp_lib.c:46
#4  0xb7c54d5b in ssl3_do_compress (ssl=0x80b5c78) at s3_pkt.c:498
#5  0xb7c54e8f in do_ssl3_write (s=0x80b5c78, type=22, buf=0x80b6300 "\024",
    len=16, create_empty_fragment=0) at s3_pkt.c:659
#6  0xb7c55367 in ssl3_write_bytes (s=0x80b5c78, type=22, buf_=0x80b6300,
    len=16) at s3_pkt.c:543
#7  0xb7c57172 in ssl3_do_write (s=0x80b5c78, type=22) at s3_both.c:132
#8  0xb7c572a6 in ssl3_send_finished (s=0x80b5c78, a=4528, b=4529,
    sender=0xb7c72ab9 "client finished", slen=15) at s3_both.c:187
#9  0xb7c515a4 in ssl3_connect (s=0x80b5c78) at s3_clnt.c:429
#10 0xb7c64b7a in SSL_connect (s=0x80b5c78) at ssl_lib.c:873
#11 0xb7c5895e in ssl23_connect (s=0x80b5c78) at s23_clnt.c:595
#12 0xb7c64b7a in SSL_connect (s=0x80b5c78) at ssl_lib.c:873
#13 0xb7c9c8cb in ne_sock_connect_ssl (sock=0x80b4b88, ctx=0x80a3460,
    userdata=0x80a3158) at ne_socket.c:1545
#14 0xb7ca64b8 in ne__negotiate_ssl (sess=0x80a3158) at ne_openssl.c:612
#15 0xb7c9571b in send_request (req=0x80a4d18, request=0x80a4c90)
---Type <return> to continue, or q <return> to quit---
    at ne_request.c:1542
#16 0xb7c9449e in ne_begin_request (req=0x80a4d18) at ne_request.c:1167
#17 0xb7c94cdd in ne_request_dispatch (req=0x80a4d18) at ne_request.c:1376
#18 0xb76caecd in svn_ra_neon__request_dispatch (code_p=0xbf91cc48,
    req=0x808ce40, extra_headers=0x0, body=0x0, okay_1=200, okay_2=0,
    pool=0x808ee08) at subversion/libsvn_ra_neon/util.c:1438
#19 0xb76c73ef in exchange_capabilities (ras=0x808ef40, pool=0x808ee08)
    at subversion/libsvn_ra_neon/session.c:792
#20 0xb76c841b in svn_ra_neon__open (session=0x808eed0,
    repos_URL=0x807bfd0 "https://secure.the-pojs.dyndns.org/website",
    callbacks=0x808ee48, callback_baton=0x808ee70, config=0x807b170,
    pool=0x808ee08) at subversion/libsvn_ra_neon/session.c:1265
#21 0xb7ee1fb9 in svn_ra_open3 (session_p=0xbf91ce68,
    repos_URL=0x807bfd0 "https://secure.the-pojs.dyndns.org/website",
    uuid=0x0, callbacks=0x808ee48, callback_baton=0x808ee70, config=0x807b170,
    pool=0x808ee08) at subversion/libsvn_ra/ra_loader.c:475
#22 0xb7f5505d in svn_client__open_ra_session_internal (ra_session=0xbf91ce68,
    base_url=0x807bfd0 "https://secure.the-pojs.dyndns.org/website",
    base_dir=0x0, base_access=0x0, commit_items=0x0, use_admin=0,
    read_only_wc=0, ctx=0x807b120, pool=0x808ee08)
    at subversion/libsvn_client/ra.c:324
#23 0xb7f55736 in svn_client__ra_session_from_path (ra_session_p=0xbf91cf38,
    rev_p=0xbf91cf30, url_p=0xbf91cf2c,
---Type <return> to continue, or q <return> to quit---
    path_or_url=0x807bfd0 "https://secure.the-pojs.dyndns.org/website",
    base_access=0x0, peg_revision_p=0xbf91cf98, revision=0xbf91d00c,
    ctx=0x807b120, pool=0x808ee08) at subversion/libsvn_client/ra.c:446
#24 0xb7f42f6c in svn_client_info2 (
    path_or_url=0x807bfd0 "https://secure.the-pojs.dyndns.org/website",
    peg_revision=0xbf91cf98, revision=0xbf91d00c,
    receiver=0x8050c70 <print_info>, receiver_baton=0x0,
    depth=svn_depth_empty, changelists=0x807ab90, ctx=0x807b120,
    pool=0x808ee08) at subversion/libsvn_client/info.c:385
#25 0x080504ee in svn_cl__info (os=0x807ab50, baton=0xbf91d164, pool=0x807a9a8)
    at subversion/svn/info-cmd.c:499
#26 0x08054bb3 in main (argc=135053192, argv=0x71)
    at subversion/svn/main.c:2018
(gdb)

Again, I can access the repos using a browser and from external machines, so I don't understand the 'no such file' message from zlib...

I hope that bt helps more.
Comment 6 Jan Kohnert 2008-10-26 03:23:49 UTC
(In reply to comment #3)
Note to myself: I should learn obfuscating addresses. ;)
Comment 7 Joel Westerberg 2008-11-02 20:36:12 UTC
Works for me sort of: I recently upgraded to 1.5.2 Everything works with https, except for merging, which turned out to be that I had forgotten to upgrade the repository by issuing "svnadmin upgrade" giving me weird https errors. 

openssl s_client -connect svnhostname:443

The difference between my (working) configuration and your setup seems to be that you are building with sasl?

Calculating dependencies... done!
[ebuild   R   ] dev-util/subversion-1.5.2  USE="apache2 berkdb dso nls perl python webdav-neon -bash-completion -debug -doc -emacs -extras -java -ruby -sasl -vim-syntax -webdav-serf" 0 kB



Comment 8 Joel Westerberg 2008-11-02 20:39:55 UTC
uh I mentioned "openssl s_client -connect svnhostname:443" because it's a good way to debug open ssl / apache troubles, basically you can connect directly to the ssl socket (like you can do with telnet with port 80) and then issue "GET /svnpath HTTP/1.0 newline newline" perhaps you'll get some output back or see where it breaks..
Comment 9 Jan Kohnert 2008-11-25 13:30:41 UTC
Hi,

first of all sorry for answering that late.

svnadmin upgrade does not help. And the openssl check does not not lead me anywhere, as I already told, it works on all other machines except onto the server itself. :(

But I just saw: 1.5.4 is avalable, so I'll check. If it still does not work, I'll try building without sasl.

Best regards Jan
Comment 10 Jan Kohnert 2008-11-25 17:10:11 UTC
OK, here's the report:

it still does not work, either with or without the sasl useflag (btw: the binary is according to ldd not linked with sasl, so where is this needed?).

I produced another backtrace, now using svn-1.5.4:

(gdb) run info https://example.com/website
Starting program: /usr/bin/svn info https://example.com/website
[Thread debugging using libthread_db enabled]
[New Thread 0xb795f700 (LWP 21796)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb795f700 (LWP 21796)]
0xb767b7f4 in deflate_slow (s=0x80d7038, flush=2) at deflate.c:1580
1580    deflate.c: No such file or directory.
        in deflate.c
(gdb) bt
#0  0xb767b7f4 in deflate_slow (s=0x80d7038, flush=2) at deflate.c:1580
#1  0xb767bfc1 in deflate (strm=0x80cbf88, flush=2) at deflate.c:790
#2  0xb7bc9a1e in zlib_stateful_compress_block (ctx=0x80cc280,
    out=0x80c4075 "\b\t", olen=17408, in=0x80b6300 "\024", ilen=16)
    at c_zlib.c:210
#3  0xb7bc89be in COMP_compress_block (ctx=0x80cc280, out=0x80c4075 "\b\t",
    olen=17408, in=0x80b6300 "\024", ilen=16) at comp_lib.c:46
#4  0xb7c2dd5b in ssl3_do_compress (ssl=0x80b5c78) at s3_pkt.c:498
#5  0xb7c2de8f in do_ssl3_write (s=0x80b5c78, type=22, buf=0x80b6300 "\024",
    len=16, create_empty_fragment=0) at s3_pkt.c:659
#6  0xb7c2e367 in ssl3_write_bytes (s=0x80b5c78, type=22, buf_=0x80b6300,
    len=16) at s3_pkt.c:543
#7  0xb7c30172 in ssl3_do_write (s=0x80b5c78, type=22) at s3_both.c:132
#8  0xb7c302a6 in ssl3_send_finished (s=0x80b5c78, a=4528, b=4529,
    sender=0xb7c4bab9 "client finished", slen=15) at s3_both.c:187
#9  0xb7c2a5a4 in ssl3_connect (s=0x80b5c78) at s3_clnt.c:429
#10 0xb7c3db7a in SSL_connect (s=0x80b5c78) at ssl_lib.c:873
#11 0xb7c3195e in ssl23_connect (s=0x80b5c78) at s23_clnt.c:595
#12 0xb7c3db7a in SSL_connect (s=0x80b5c78) at ssl_lib.c:873
#13 0xb7c758cb in ne_sock_connect_ssl (sock=0x80b4b88, ctx=0x80a3460,
    userdata=0x80a3158) at ne_socket.c:1545
#14 0xb7c7f4b8 in ne__negotiate_ssl (sess=0x80a3158) at ne_openssl.c:612
#15 0xb7c6e71b in send_request (req=0x80a4d18, request=0x80a4c90)
---Type <return> to continue, or q <return> to quit---
    at ne_request.c:1542
#16 0xb7c6d49e in ne_begin_request (req=0x80a4d18) at ne_request.c:1167
#17 0xb7c6dcdd in ne_request_dispatch (req=0x80a4d18) at ne_request.c:1376
#18 0xb76a3ecd in svn_ra_neon__request_dispatch (code_p=0xbfe36158,
    req=0x808ce40, extra_headers=0x0, body=0x0, okay_1=200, okay_2=0,
    pool=0x808ee08) at subversion/libsvn_ra_neon/util.c:1438
#19 0xb76a03ef in exchange_capabilities (ras=0x808ef40, pool=0x808ee08)
    at subversion/libsvn_ra_neon/session.c:792
#20 0xb76a141b in svn_ra_neon__open (session=0x808eed0,
    repos_URL=0x807bfd0 "https://example.com/website",
    callbacks=0x808ee48, callback_baton=0x808ee70, config=0x807b170,
    pool=0x808ee08) at subversion/libsvn_ra_neon/session.c:1265
#21 0xb7ebbfb9 in svn_ra_open3 (session_p=0xbfe36378,
    repos_URL=0x807bfd0 "https://example.com/website",
    uuid=0x0, callbacks=0x808ee48, callback_baton=0x808ee70, config=0x807b170,
    pool=0x808ee08) at subversion/libsvn_ra/ra_loader.c:475
#22 0xb7f2fb9d in svn_client__open_ra_session_internal (ra_session=0xbfe36378,
    base_url=0x807bfd0 "https://example.com/website",
    base_dir=0x0, base_access=0x0, commit_items=0x0, use_admin=0,
    read_only_wc=0, ctx=0x807b120, pool=0x808ee08)
    at subversion/libsvn_client/ra.c:324
#23 0xb7f30276 in svn_client__ra_session_from_path (ra_session_p=0xbfe36448,
    rev_p=0xbfe36440, url_p=0xbfe3643c,
---Type <return> to continue, or q <return> to quit---
    path_or_url=0x807bfd0 "https://example.com/website",
    base_access=0x0, peg_revision_p=0xbfe364a8, revision=0xbfe3651c,
    ctx=0x807b120, pool=0x808ee08) at subversion/libsvn_client/ra.c:446
#24 0xb7f1cf6c in svn_client_info2 (
    path_or_url=0x807bfd0 "https://example.com/website",
    peg_revision=0xbfe364a8, revision=0xbfe3651c,
    receiver=0x8050c70 <print_info>, receiver_baton=0x0,
    depth=svn_depth_empty, changelists=0x807ab90, ctx=0x807b120,
    pool=0x808ee08) at subversion/libsvn_client/info.c:385
#25 0x080504ee in svn_cl__info (os=0x807ab50, baton=0xbfe36674, pool=0x807a9a8)
    at subversion/svn/info-cmd.c:499
#26 0x08054bb3 in main (argc=135053192, argv=0x71)
    at subversion/svn/main.c:2018
(gdb) 

Thanks again for looking into this.

BTW: If I should report this upstream, please tell me so.

Bestregards Jan
Comment 11 Jan Kohnert 2008-12-01 17:52:43 UTC
Bug #217786 is maybe related, looking at the backtrace.

Anothwer interesting thing I just found out:
if I build svn myself, I get a working version, although I'm nearly using the ebuild options to configure! If I configure the package using:

./configure --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --with-swig --with-apxs=/usr/sbin/apxs2 --with-berkeley-db --enable-runtime-module-search --disable-javahl --without-jdk --enable-nls --with-sasl --with-neon=/usr --without-serf --with-apr=/usr/bin/apr-1-config --with-apr-util=/usr/bin/apu-1-config --disable-experimental-libtool --without-jikes --without-junit --disable-mod-activation --build=i686-pc-linux-gnu

the resulting binary works. during emerge the following is used:

./configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --with-swig --with-apxs=/usr/sbin/apxs2 --with-berkeley-db --enable-runtime-module-search --disable-javahl --without-jdk --enable-nls --with-sasl --with-neon=/usr --without-serf --with-apr=/usr/bin/apr-1-config --with-apr-util=/usr/bin/apu-1-config --disable-experimental-libtool --without-jikes --without-junit --disable-mod-activation --build=i686-pc-linux-gnu

and the resulting binary fails. Note: only the --prefix=/usr changes. Does that make any sense to anyone out there? I don't get it. :(

PS: I tested that within the build dirs, just using /var/tmp/portage/dev-util/subversion-1.5.4/work/subversion-1.5.4/subversion/svn/svn

Regards Jan
Comment 12 Remy Blank 2009-02-15 19:07:19 UTC
Exact same symptoms here: works on one box, segfaults on another, which incidentally is also running apache, whereas the former isn't. Same package versions for subversion and (direct) dependencies. Only difference in USE flags is "+apache2", but removing it and recompiling subversion doesn't fix the issue.

A third box, running apache, doesn't exhibit the problem.

emerge -pv subversion

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] dev-util/subversion-1.5.4  USE="apache2 bash-completion berkdb dso extras java* nls perl python sasl vim-syntax webdav-neon -debug -doc -emacs -ruby -webdav-serf" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB


emerge --info

Portage 2.1.6.4 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r7 i686)
=================================================================
System uname: Linux-2.6.25-gentoo-r7-i686-Intel-R-_Celeron-R-_CPU_1.80GHz-with-glibc2.0
Timestamp of tree: Sun, 15 Feb 2009 02:15:04 +0000
distcc 3.0 i686-pc-linux-gnu [enabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mtune=pentium4 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -mtune=pentium4 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distcc distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://mirror.switch.ch/mirror/gentoo/ http://mirror.ovh.net/gentoo-distfiles/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://distfiles.gentoo.org/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/r-space.ch"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="a52 aac acl acpi alsa apache2 audiofile avahi bash-completion berkdb bzip2 caps cdb cddb cdparanoia cdr cli cracklib crypt cups curl dbus dri dv dvd dvdr dvdread encode exif expat fam ffmpeg flac foomaticdb ftp gd gdbm gif gmp gpg gpm hal iconv id3 idn imagemagick imap imlib isdnlog java jbig jpeg jpeg2k lame lcms logrotate lzo mad maildir mbox mhash midi mmap mmx mp3 mpeg mudflap ncurses nfs nls nntp nptl nptlonly ogg openmp openssl oss pam pcre perl php png ppds pppd pthreads python quicktime readline reflection rtc samba sasl sdl session slang speex spell spl sqlite sqlite3 sse sse2 ssl subversion sysfs tcl tcpd theora threads tiff truetype unicode usb v4l v4l2 vim-syntax vorbis wmf x264 x86 xattr xml xorg xvid zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 13 Remy Blank 2009-02-15 22:20:20 UTC
Ok, same symptoms but probably not the same cause. Turns out I had a stale libz.so.1 in /usr/lib:

# ll /usr/lib/libz.*
-rw-r--r-- 1 root root 86632 2009-02-15 22:58 /usr/lib/libz.a
-rwxr-xr-x 1 root root   320 2009-02-15 22:58 /usr/lib/libz.so
lrwxrwxrwx 1 root root    13 2007-03-15 04:14 /usr/lib/libz.so.1 -> libz.so.1.1.4
-rwxr-xr-x 1 root root 54416 2004-04-12 23:59 /usr/lib/libz.so.1.1.4

The first two entries belong to zlib, the other two don't. Removing them solved the issue. They were probably leftovers from previous versions of zlib.

So this was probably not related to the OP's problem, as the backtrace explicitly mentions /lib/libz.so. Sorry for the noise.
Comment 14 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2009-04-19 00:18:46 UTC
Please try with =dev-util/subversion-1.6*.
Comment 15 Jan Kohnert 2009-04-21 22:43:39 UTC
Sorry, I cannot test this anymore, as the system is no longer in production state.

I'll close this one, if I can.

Best regards Jan